//tv-009.h

#ifndef _tv_009_h
#define _tv_009_h

#include "../types/types.h"

//=====   =====
#define _rd9_cpl_mass_brutto		0x01	// 
#define _rd9_cpl_inkey				0x02	//  
#define _rd9_cpl_in_stat			0x04	//  
#define _rd9_cpl_out_stat			0x08	//  
#define _rd9_cpl_stat				0x40	//  
#define _rd9_cpl_count_rs			0x80	// 
#define _rd9_cpl					(_rd9_cpl_in_stat | _rd9_cpl_out_stat | _rd9_cpl_stat)
//=======
#define _addr9_mass					0		//   
#define _addr9_inp					4		//   
#define _addr9_out					6		//   
#define _addr9_stat					7		//    

//=====   =====
#define _in9_start					0x80	// 
#define _in9_stop					0x40	// 
#define _in9_closed_unload			0x20	// 
#define _in9_closed_load_nonprecs	0x10	//  
#define _in9_sens_p_aero			0x08	//  
#define _in9_sens_l_up				0x04	// 
#define _in9_opened_load_presc		0x01	// "" 
//=====   ====
#define _out9_start					0x02	// 
#define _out9_unload				0x20	// 
#define _out9_stop					0x40	// 
#define _out9_dosed					0x80	// 

//=====    ===
#define _stat9_res1					0x01	//-
#define _stat9_res2					0x02	//-
#define _stat9_fix_mass_of_inp		0x04	//     
#define _stat9_end_dosator			0x08	// 
#define _stat9_keyon				0x10	// ,    
#define _stat9_netto				0x20	//-
#define _stat9_err					0x40	// 
#define _stat9_restart				0x80	// 

struct _tv_009_set
{
	float	mass_dose;					// 
	float	mass_porcion;				// 
	float	mass_down_noprecesion;		//   
	float	mass_down_precesion;		//   
	float	mass_delta_error;			//  
};

//
struct _tv_009_full_in
{
	float	mass;						//
	//==   
	BYTE	inmask;						// 
	BOOL 	in_start;					// 
	BOOL 	in_stop;					// 
	BOOL 	in_closed_unload;			// 
	BOOL 	in_closed_load_nonprecs;	// "" 
	BOOL 	in_sens_p_aero;				//  
	BOOL 	in_sens_l_up;				// 
	BOOL 	in_opened_load_presc;		// "" 
	
	
	//===   ======
	BYTE	outmask;					// 
	BOOL 	out_start;					// 
	BOOL 	out_stop;					// 
	BOOL 	out_dosed;					//  
	BOOL 	out_closed_unload;			// 
	BOOL 	out_closed_load_nonprecs;	// ""  
	BOOL	out_sens_p_aero;			// 
	BOOL 	out_sens_l_up;				// 
	BOOL 	out_closed_load_presc;		// "" 
	
	//===    ====
	BYTE	statmask;					//  
	BOOL 	stat_restart;				//  = 1
	BOOL	stat_err;					//  = 1
	BOOL 	stat_netto;					//  = 1(  = 0)
	BOOL 	stat_keyon;					// ,     = 1
	BOOL 	stat_end_dosator;			// 
	BOOL 	stat_fix_mass_of_inp;		//     
	BOOL 	stat_calibrate_work;		//     
	BOOL 	stat_dosator_working;		//ģ ( )
};

float 	TV_009_RdMass_brutto(BYTE,int);
int 	TV_009_RdFull(BYTE, struct _tv_009_full_in*, int);
int 	TV_009_Stop(BYTE,int);
int 	TV_009_Pause(BYTE,int);
int 	TV_009_Start(BYTE, int);
BYTE 	TV_OO9_OpenUnload(BYTE);
BYTE 	TV_OO9_CloseUnload(BYTE);
BYTE 	TV_OO9_LampStopON(BYTE);
BYTE 	TV_OO9_LampStopOFF(BYTE);
int 	TV_009_SetOutput(BYTE,BYTE,int);
int 	TV_009_RdSettings(BYTE,struct _tv_009_set*,int);
int 	TV_009_WrSettings(BYTE,struct _tv_009_set*,int);
int 	TV_009_OutStr(BYTE,char*,int);
void 	TV_009_SetOutStr(BYTE*,char*);

#endif
