//tv-011.h

#ifndef _tv_011_h
#define _tv_011_h

#include "../types/types.h"



//=====    ===
#define _stat11_man				0x01	//   
#define _stat11_unload			0x02	//   
#define _stat11_fix_mass		0x04	//  
#define _stat11_pause_blck		0x08	//   
#define _stat11_end_dosator		0x10	//  -  
#define _stat11_stop			0x20	// 
#define _stat11_err				0x40	// 
#define _stat11_reg_dose		0x80	//11   

//=====   =========
#define _in11_alrm				0x01	// 
#define _in11_start				0x02	// 
#define _in11_stop				0x04	// 
#define _in11_rs_err			0x08	//  
#define _in11_rs_cicle			0x10	//  
#define _in11_man				0x20	//  
#define _in11_unload_closed		0x40	//   
#define _in11_block				0x80	// 

//=====   ========
#define _out11_alrm					0x01	// 
#define _out11_start				0x02	// 
#define _out11_stop					0x04	// 
#define _out11_dosed				0x08	//  
#define _out11_def_end				0x10	//  
#define _out11_dose_load_noprecs	0x20	//	 
//#define _out11_unload_2				0x20	//	 
#define _out11_dose_load_precs		0x40	//  
#define _out11_unload				0x80	// ()

//=====     =====
#define _rd11_cpl_mass_brutto		0x01	// 
#define _rd11_cpl_inkey				0x02	//  
#define _rd11_cpl_in_stat			0x04	//  
#define _rd11_cpl_out_stat			0x08	//  
#define _rd11_cpl_stat				0x40	//  
#define _rd11_cpl_count_rs			0x80	// 
#define _rd11_cpl					(_rd11_cpl_in_stat | _rd11_cpl_out_stat | _rd11_cpl_stat)


//=======  (!!!)
#define _addr11_mass				0		//   
#define _addr11_inp					4		//   
#define _addr11_out					8		//     6
#define _addr11_stat				12		//       7


struct _tv_011_set  //  
{
	float	mass_cycles;					//  
	float	mass_otves;					//  
	float	mass_add_enable;				//   
	float	mass_add_disable;			//   
	float	mass_noprecesion;			//   
	float	mass_precesion;				//   
	float	mass_dopusk;					//   
	float	mass_empty;					//   
};


struct _tv_011_full_in  // (     )
{
	float	mass;						//

	//==   
	BYTE	inmask;						// 

	BOOL 	in_key_alrm;				// 
	BOOL 	in_key_start; 				// 
	BOOL 	in_key_stop;				// 
	BOOL 	in_key_rs_err;				//  
	BOOL 	in_key_rs_cicle;			//  
	BOOL 	in_man;					//  
	BOOL 	in_closed_unload;		//   
	BOOL 	in_block;				// 

	//===   ======
	BYTE	outmask;					// 

	BOOL 	out_alrm;				// 
	BOOL 	out_start;				// 
	BOOL 	out_stop;				// 
	BOOL 	out_dosed;			//  
	BOOL 	out_def_end;			//  
	BOOL 	out_dose_load_noprecs;	//	 
	BOOL 	out_dose_load_precs;	//  
	BOOL 	out_unload;				// ()

	//===    ====
	BYTE	statmask;					// 

	BOOL 	stat_man;				//   
	BOOL 	stat_unload;			//   
	BOOL 	stat_fix_mass;			//  
	BOOL 	stat_pause_blck;		//   
	BOOL 	stat_end_dosator;		//  -  
	BOOL 	stat_stop;				// 
	BOOL 	stat_err;				// 
	BOOL 	stat_reg_dose;			//11   

};



float 	TV_011_RdMass_brutto(BYTE,int);
int 	TV_011_Stop(BYTE,int);
int		TV_011_RsCicle(BYTE,int);
int 	TV_011_Pause(BYTE,int);
int 	TV_011_Start(BYTE, int);
int 	TV_011_NoPause(BYTE,int);
BYTE 	TV_O11_OpenUnload(BYTE);
BYTE 	TV_O11_CloseUnload(BYTE);
BYTE 	TV_O11_LampStopON(BYTE);
BYTE 	TV_O11_LampStopOFF(BYTE);
int 	TV_011_RdFull(BYTE, struct _tv_011_full_in*, int);
int 	TV_011_SetOutput(BYTE,BYTE,int);
int 	TV_011_RdSettings(BYTE,struct _tv_011_set*,int);
int 	TV_011_WrSettings(BYTE,struct _tv_011_set*,int);
int 	TV_011_OutStr(BYTE,char*,int);
void 	TV_011_SetOutStr(BYTE*,char*);


#endif

